Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class UnknownMIMEType

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.exception.UnknownMIMEType

All Implemented Interfaces:
  java.io.Serializable

    public class UnknownMIMEType

extends jet.JSException

Unknown MIME Type Exception

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`UnknownMIMEType(int msgKey)` Constructs a new `UnknownMIMEType` with the specified message, the cause is not initialized.
`UnknownMIMEType(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detailed message and cause.
`UnknownMIMEType(int msgKey, java.lang.Throwable cause)` Constructs a new `UnknownMIMEType` with the specified detailed message and cause.
`UnknownMIMEType(java.lang.String message)` Constructs a new `UnknownMIMEType` with the specified message, the cause is not initialized.
`UnknownMIMEType(java.lang.Throwable cause)` Constructs a new `UnknownMIMEType` with the specified cause and a `null`message.``

Method Summary
`java.lang.String` | `getMessage()` Gets message of unknown mimetype exception.

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownMIMEType

    public UnknownMIMEType(int msgKey,
                           java.lang.Object[] params,
                           java.lang.Throwable cause)

  Constructs a new throwable with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for finding the message, and which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.

### UnknownMIMEType

    public UnknownMIMEType(int msgKey,
                           java.lang.Throwable cause)

  Constructs a new `UnknownMIMEType` with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key.
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### UnknownMIMEType

    public UnknownMIMEType(int msgKey)

  Constructs a new `UnknownMIMEType` with the specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key.

### UnknownMIMEType

    public UnknownMIMEType(java.lang.Throwable cause)

  Constructs a new `UnknownMIMEType` with the specified cause and a `null`message.

  Parameters:
    `cause` - the cause.
  ``

### UnknownMIMEType

    public UnknownMIMEType(java.lang.String message)

  Constructs a new `UnknownMIMEType` with the specified message, the cause is not initialized.

  Parameters:
    `msg` - the detailed message.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Gets message of unknown mimetype exception.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    string information of exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD